Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 222406 - Find/Replace dialog: Show scope icons like in the find usages dialog
Find/Replace dialog: Show scope icons like in the find usages dialog
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@utilities
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 15:35 UTC by markiewb
Modified: 2013-02-07 03:07 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Showing the missing scope in comparison to find usages dialog (118.12 KB, image/png)
2012-11-19 15:36 UTC, markiewb
Details
Proposed Patch (19.28 KB, patch)
2013-01-29 13:07 UTC, Jaroslav Havlin
Details | Diff
Proposed Patch (18.49 KB, patch)
2013-01-29 13:18 UTC, Jaroslav Havlin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-11-19 15:35:00 UTC
[ BUILD # : 7.2beta2 ]
[ JDK VERSION : 1.7.9 ]

ACTUAL: in the Find/Replace dialog there are NO scope icons shown, but in 
the find usages dialog there are scope icons - see screenshot

EXPECTED: in the Find/Replace dialog there are scope icons too - this would 
be a more constistent UI
Comment 1 markiewb 2012-11-19 15:36:07 UTC
Created attachment 128075 [details]
Showing the missing scope in comparison to find usages dialog
Comment 2 Jaroslav Havlin 2013-01-29 13:07:17 UTC
Created attachment 130779 [details]
Proposed Patch
Comment 3 Jaroslav Havlin 2013-01-29 13:18:25 UTC
Created attachment 130781 [details]
Proposed Patch

Updated patch
Comment 4 Jaroslav Havlin 2013-01-29 13:24:14 UTC
Please review this API change:

Class org.netbeans.spi.search.SearchScopeDefinition has new method getIcon().

Thank you.
Comment 5 Jaroslav Havlin 2013-02-04 13:51:27 UTC
If there are no objections, I'll integrate the patch on Wednesday. Thank you.
Comment 6 Jaroslav Havlin 2013-02-06 09:10:24 UTC
Integrated as http://hg.netbeans.org/core-main/rev/edbd736e674e
Comment 7 Quality Engineering 2013-02-07 03:07:01 UTC
Integrated into 'main-golden', will be available in build *201302070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/edbd736e674e
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #222406: Find/Replace dialog: Show scope icons like in the find usages dialog


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo